digiKam Developer Documentation: Digikam::AdvancedRenameWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::AdvancedRenameWidget Class Reference
Inheritance diagram for Digikam::AdvancedRenameWidget:

## Public Types
enum | ControlWidget { None = 0x0 , ToolTipButton = 0x1 , TokenButtons = 0x2 , ModifierToolButton = 0x4 , DefaultControls = TokenButtons | ToolTipButton | ModifierToolButton }
typedef QFlags< ControlWidget > | ControlWidgets
enum | LayoutStyle { LayoutNormal , LayoutCompact }

## Signals
void | signalReturnPressed ()
void | signalTextChanged (const QString &)

## Public Member Functions
| AdvancedRenameWidget (QWidget *const parent=nullptr)
void | clear ()
| clears the parse string as well as the history
void | clearParseString ()
| resets the current parse string, the LineEdit widget will be empty
void | focusLineEdit ()
| set focus for the LineEdit widget
void | highlightLineEdit ()
| highlight the LineEdit widgets text
void | highlightLineEdit (const QString &word)
| highlight a word in the LineEdit widgets text
QString | parse (ParseSettings &settings) const
| evaluates the parse string and executes the parser
Parser * | parser () const
| returns a pointer to the currently assigned parser
QString | parseString () const
| returns the current parse string
void | setControlWidgets (ControlWidgets mask)
| sets the layout of the control widgets
void | setLayoutStyle (LayoutStyle style)
| set the layout style of the widget
void | setParser (Parser *parser)
| sets the current parser.
void | setParseString (const QString &text)
| sets the current parse string
void | setParseTimerDuration (int milliseconds)

## Member Function Documentation

## ◆ parse()

QString Digikam::AdvancedRenameWidget::parse | ( | ParseSettings & | settings | ) | const

Parameters

  settings | information about the file to be renamed

Returns
  the new name of the file

## ◆ setControlWidgets()

void Digikam::AdvancedRenameWidget::setControlWidgets | ( | ControlWidgets | mask | ) |

See also
  ControlWidget

Parameters

  mask | a bitmask for setting the control widgets

## ◆ setLayoutStyle()

void Digikam::AdvancedRenameWidget::setLayoutStyle | ( | LayoutStyle | style | ) |

Parameters

  style | the style of the layout

See also
  LayoutStyle

## ◆ setParser()

void Digikam::AdvancedRenameWidget::setParser | ( | Parser * | parser | ) |

If a parser has already been assigned, it will be deleted first.

Parameters

  parser | a pointer to the new parser instance

## ◆ setParseString()

void Digikam::AdvancedRenameWidget::setParseString | ( | const QString & | text | ) |

Parameters

  text | the new parse string